Package org.kapott.hbci.sepa.jaxb.pain_002_001_14

# Class CreditTransferMandateData1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_14.CreditTransferMandateData1

public class CreditTransferMandateData1 extends Object

Java class for CreditTransferMandateData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditTransferMandateData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max35Text" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}MandateTypeInformation2" minOccurs="0"/>
             <element name="DtOfSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="DtOfVrfctn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODateTime" minOccurs="0"/>
             <element name="ElctrncSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Max10KBinary" minOccurs="0"/>
             <element name="FrstPmtDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="FnlPmtDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}ISODate" minOccurs="0"/>
             <element name="Frqcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}Frequency36Choice" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.14}MandateSetupReason1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`dtOfSgntr`
`protected XMLGregorianCalendar`
`dtOfVrfctn`
`protected byte[]`
`elctrncSgntr`
`protected XMLGregorianCalendar`
`fnlPmtDt`
`protected Frequency36Choice`
`frqcy`
`protected XMLGregorianCalendar`
`frstPmtDt`
`protected String`
`mndtId`
`protected MandateSetupReason1Choice`
`rsn`
`protected MandateTypeInformation2`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CreditTransferMandateData1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getDtOfSgntr()`
Gets the value of the dtOfSgntr property.
`XMLGregorianCalendar`
`getDtOfVrfctn()`
Gets the value of the dtOfVrfctn property.
`byte[]`
`getElctrncSgntr()`
Gets the value of the elctrncSgntr property.
`XMLGregorianCalendar`
`getFnlPmtDt()`
Gets the value of the fnlPmtDt property.
`Frequency36Choice`
`getFrqcy()`
Gets the value of the frqcy property.
`XMLGregorianCalendar`
`getFrstPmtDt()`
Gets the value of the frstPmtDt property.
`String`
`getMndtId()`
Gets the value of the mndtId property.
`MandateSetupReason1Choice`
`getRsn()`
Gets the value of the rsn property.
`MandateTypeInformation2`
`getTp()`
Gets the value of the tp property.
`void`
`setDtOfSgntr(XMLGregorianCalendar value)`
Sets the value of the dtOfSgntr property.
`void`
`setDtOfVrfctn(XMLGregorianCalendar value)`
Sets the value of the dtOfVrfctn property.
`void`
`setElctrncSgntr(byte[] value)`
Sets the value of the elctrncSgntr property.
`void`
`setFnlPmtDt(XMLGregorianCalendar value)`
Sets the value of the fnlPmtDt property.
`void`
`setFrqcy(Frequency36Choice value)`
Sets the value of the frqcy property.
`void`
`setFrstPmtDt(XMLGregorianCalendar value)`
Sets the value of the frstPmtDt property.
`void`
`setMndtId(String value)`
Sets the value of the mndtId property.
`void`
`setRsn(MandateSetupReason1Choice value)`
Sets the value of the rsn property.
`void`
`setTp(MandateTypeInformation2 value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mndtId

protected String mndtId

### tp

protected MandateTypeInformation2 tp

### dtOfSgntr

protected XMLGregorianCalendar dtOfSgntr

### dtOfVrfctn

protected XMLGregorianCalendar dtOfVrfctn

### elctrncSgntr

protected byte[] elctrncSgntr

### frstPmtDt

protected XMLGregorianCalendar frstPmtDt

### fnlPmtDt

protected XMLGregorianCalendar fnlPmtDt

### frqcy

protected Frequency36Choice frqcy

### rsn

protected MandateSetupReason1Choice rsn

## Constructor Details

### CreditTransferMandateData1

public CreditTransferMandateData1()

## Method Details

### getMndtId

public String getMndtId()
Gets the value of the mndtId property.

Returns:
  possible object is `String`

### setMndtId

public void setMndtId(String value)
Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

### getTp

public MandateTypeInformation2 getTp()
Gets the value of the tp property.

Returns:
  possible object is `MandateTypeInformation2`

### setTp

public void setTp(MandateTypeInformation2 value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `MandateTypeInformation2`

### getDtOfSgntr

public XMLGregorianCalendar getDtOfSgntr()
Gets the value of the dtOfSgntr property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDtOfSgntr

public void setDtOfSgntr(XMLGregorianCalendar value)
Sets the value of the dtOfSgntr property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getDtOfVrfctn

public XMLGregorianCalendar getDtOfVrfctn()
Gets the value of the dtOfVrfctn property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDtOfVrfctn

public void setDtOfVrfctn(XMLGregorianCalendar value)
Sets the value of the dtOfVrfctn property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getElctrncSgntr

public byte[] getElctrncSgntr()
Gets the value of the elctrncSgntr property.

Returns:
  possible object is byte[]

### setElctrncSgntr

public void setElctrncSgntr(byte[] value)
Sets the value of the elctrncSgntr property.

Parameters:
  `value` - allowed object is byte[]

### getFrstPmtDt

public XMLGregorianCalendar getFrstPmtDt()
Gets the value of the frstPmtDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFrstPmtDt

public void setFrstPmtDt(XMLGregorianCalendar value)
Sets the value of the frstPmtDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFnlPmtDt

public XMLGregorianCalendar getFnlPmtDt()
Gets the value of the fnlPmtDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFnlPmtDt

public void setFnlPmtDt(XMLGregorianCalendar value)
Sets the value of the fnlPmtDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFrqcy

public Frequency36Choice getFrqcy()
Gets the value of the frqcy property.

Returns:
  possible object is `Frequency36Choice`

### setFrqcy

public void setFrqcy(Frequency36Choice value)
Sets the value of the frqcy property.

Parameters:
  `value` - allowed object is `Frequency36Choice`

### getRsn

public MandateSetupReason1Choice getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `MandateSetupReason1Choice`

### setRsn

public void setRsn(MandateSetupReason1Choice value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `MandateSetupReason1Choice`